no-overlap.cpp File Reference
`#include "test/int.hh"`
`#include <gecode/minimodel.hh>`
`#include <climits>`

Go to the source code of this file.

## Classes

class | Test::Int::NoOverlap::Int2
| Test for no-overlap with integer dimensions (rectangles) More...
class | Test::Int::NoOverlap::IntOpt2
| Test for no-overlap with optional rectangles More...
class | Test::Int::NoOverlap::Var2
| Test for no-overlap with variable dimensions (rectangles) More...
class | Test::Int::NoOverlap::VarOpt2
| Test for no-overlap with optional rectangles More...
class | Test::Int::NoOverlap::VarOptShared2
| Test for no-overlap with optional rectangles and shared variables More...
class | Test::Int::NoOverlap::Create
| Help class to create and register tests. More...

## Namespaces

namespace | Test
| General test support.
namespace | Test::Int
| Testing finite domain integers.
namespace | Test::Int::NoOverlap
| Tests for no-overlap constraint

## Variables

Create | Test::Int::NoOverlap::c